%define upstream_name    DateTime-Format-Builder
%define upstream_version 0.83

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(DateTime::Format::IBeat\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create DateTime parser classes and objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

# This dependency is missing so we specify it explicitly.
Requires:   perl(Class::Factory::Util)
BuildRequires: perl(Carp)
BuildRequires: perl(DateTime) >= 1.0.0
BuildRequires: perl(DateTime::Format::Strptime) >= 1.40.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Params::Validate) >= 0.720.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module understands the formats used by MySQL for its DATE, DATETIME,
TIME, and TIMESTAMP data types. It can be used to parse these formats in
order to create DateTime objects, and it can take a DateTime object and
produce a string representing it in the MySQL format.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Aug 10 2020 tv <tv> 0.830.0-1.mga8
+ Revision: 1612546
- update to 0.83

* Sat Feb 15 2020 umeabot <umeabot> 0.820.0-2.mga8
+ Revision: 1525364
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Apr 14 2019 tv <tv> 0.820.0-1.mga7
+ Revision: 1389900
- update to 0.82

* Wed Sep 19 2018 umeabot <umeabot> 0.810.0-10.mga7
+ Revision: 1267029
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.810.0-9.mga6
+ Revision: 1025082
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.810.0-8.mga6
+ Revision: 946511
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 shlomif <shlomif> 0.810.0-7.mga5
+ Revision: 783746
- Add __requires_exclude

* Wed Oct 15 2014 umeabot <umeabot> 0.810.0-6.mga5
+ Revision: 746545
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.810.0-5.mga5
+ Revision: 735476
- add exclude

* Wed Sep 24 2014 tv <tv> 0.810.0-4.mga5
+ Revision: 724375
- use %%perl_default_filter (fix requires)

* Tue Sep 16 2014 umeabot <umeabot> 0.810.0-3.mga5
+ Revision: 684270
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.810.0-2.mga4
+ Revision: 526856
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.810.0-1.mga4
+ Revision: 438982
- update to 0.81

* Sun Jan 13 2013 umeabot <umeabot> 0.800.0-3.mga3
+ Revision: 365565
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.800.0-2.mga1
+ Revision: 37039
- mageia rebuild
- imported package perl-DateTime-Format-Builder

